Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 12/29/2024 in all areas

  1. Get smaller fingers so you don't hit them by accident? Look at an internet search: 'AutoCAD mapping F keys"
    2 points
  2. I have done translations before. I'd suggest using Notepad ++ to open the file because it keeps the foreign characters for a better translation than regular Notepad. Then use Google Translate or some other translator and translate the comments only at first. This way you understand what the program is doing. Then, only translate the prompts. If the program works as it is, I wouldn't tinker with it too much. Some of the prompts may have some setq variables to adjust, but keep it simple.
    1 point
  3. You need to modify the key from the CUI manually.
    1 point
  4. Still not sure why you want to translate it if it works (holidays here so CAD is off, I haven't checked it). However I'd go through the above and if you want it translated use the one I posted and the original - global change the variables in the original but using the translated version as a guide, with new variable names to suit. As mentioned above try to avoid variable names that could be the same as command names to avoid confusion, you might for example use TxLen instead of delka and so on (you'll notice in a lot of my LISPs my variables start with 'My' for this reason, MySS, MyEnt and so on). If it still isn't working then just debugging, go through it and comment out all the lines with a ';', take out the ';'s systematically remembering pairs of open and close ( ) for things like if and whole loops to see where the error is
    1 point
  5. Seems a lot of work compared to maybe "Lee-mac unformat mtext". Do a google next time if you want english versions, there are many good versions out there.
    1 point
  6. Try to translate word "delka" to a word other than "length". "length" is an autolisp function.
    1 point
  7. So if the LISP works as it is, it will work the same if you replace any variable name with any other. This is using a search engines 'Translate' function, took seconds, but you'll have to perhaps check through it for example to make sure the variables aren't command names (it will still work but a lot easier if they aren't) (DeFun MTEXTCF0 (TXR/Position Length NTX Character) ; Own powerful function, converts TXR to NTX (setq ntx "") (setq position 1) (setq length (strlen txr)) (while (<= position length) (setq character (substr txr position 1)) (if (= character "") ;p if there is a slash (progn (setq positions (1+ positions)) ; I'll move on to the next sign (setq character (substr txr position 1)) (if (or (= character "{") (= character "}") (= character "") (= character "P")); Was the second slash or a brace? (or P - correction: VM 31.7.2001) (setq ntx (strcat ntx "" character)) ; YES -> copy the resulting character (progn ; NO -> ignore characters up to ";" (while (and (/= character ";") (<= position length)) (setq positions (1+ positions)) (setq character (substr txr position 1)) ) ) ) ) (if (and (/= character "{") (/= character "}")) ; if there is no slash ... And it's not even a bracket (setq ntx (strcat ntx character)) ; so I just copy the input ) ) (setq positions (1+ positions)) ) (setq ntx ntx) )
    1 point
  8. You can use Replace command from any text editor to replace all identical words.
    1 point
  9. This will get you what you needed, if you want something fancy, it will cost you a cup of coffee. ;;; Program 'sap' Station At Point ;;; By Isaac A 20241228 ;;; https://www.cadtutor.net/forum/topic/95474-lisp-to-get-the-station-and-coordinates-of-a-polyline-at-pick-location/ (vl-load-com) (defun c:sap (/ a b c d dw o oe s) (setq oe (getvar 'cmdecho) o (getvar 'osmode) ) (setvar 'cmdecho 0) (vla-startundomark (setq dw (vla-get-activedocument (vlax-get-acad-object)))) (setvar 'osmode 0) (alert "Program to put a mtext containing the Station and coordinates in a polyline. ") (princ "\nSelect a polyline. ") (setq s (ssget ":S:E" '((0 . "LWPOLYLINE")))) (while (= s nil) (princ "\nSelect a polyline. ") (setq s (ssget ":S:E" '((0 . "LWPOLYLINE")))) ) (setq a (ssname s 0)) (setq b (vlax-ename->vla-object a) c (list 0 0 0) ) (setvar 'osmode 545) (setvar 'pdmode 35) (setvar 'pdsize 0.6) (while (setq c (getpoint "\nSelect a point on the polyline: ")) (setq d (vlax-curve-getDistAtPoint b c)) (entmake (list '(0 . "MTEXT") '(100 . "AcDbEntity") '(100 . "AcDbMText") '(8 . "Stations") '(40 . 1.) (cons 10 c) (cons 1 (strcat "St." (rtos d 2 3) "\nE " (rtos (car c) 2 3) "\nN " (rtos (cadr c) 2 3))) ) ) (entmake (list '(0 . "point") '(100 . "AcDBpoint") '(8 . "Stations") '(62 . 1) (cons 10 c) ) ) ) (setvar 'cmdecho oe) (setvar 'osmode o) (vla-endundomark dw) (princ) ) ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; ;;; End of file ;;; ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    1 point
  10. You are entirely welcome. I wish you every success come the New Year.
    1 point
  11. I find it !!!!!! Note: The \n forces the label to be displayed on two lines. The \n disappears after pressing Enter or when text box loses the focus. If you don't see the changes in the Panel Preview, click Row 1 under My HYT Panel to refresh the preview.
    1 point
  12. copied and pasted from AutoCad Help. DYNMODE (System Variable) Turns Dynamic Input features on and off. Type: Integer Saved in: Registry Initial value: 3 When all features are on, the context governs what is displayed. When DYNMODE is set to a negative value, the Dynamic Input features are not turned on, but the setting is stored. 0 All Dynamic Input features, including dynamic prompts, off 1 Pointer input on 2 Dimensional input on 3 Both pointer input and dimensional input on If dynamic prompts are on ( DYNPROMPT is set to 1), they are displayed when DYNMODE is set to 1, 2, or 3. When dimensional input is turned on (DYNMODE = 2 or 3), the program switches to pointer input when you enter a comma or an angle bracket ( When DYNMODE is set to 1, 2, or 3, you can turn off all features temporarily by holding down the temporary override key, F12. Settings are on the Dynamic Input tab in the Drafting Settings dialog box.
    1 point
×
×
  • Create New...